Summary: MOP (Maintenance Operations Protocol) loader daemon (Linux port)
Name: mopd-linux
Version: 2.5.3
Release: 2
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.stacken.kth.se/pub/OS/NetBSD/mopd/mopd-linux-2.5.3.tar.gz
Source1: mopd.init
Patch: mopd-linux-string.patch
BuildRoot: /var/tmp/mopd-linux-root

%description
Copyright (c) 1993-96 Mats O Jansson.  All rights reserved.
Ported to Linux from BSD by Karl Maftoum.

Mopd services MOP Load requests on the Ethernet connected to interface or
all interfaces if a `-a' is given.  In a load request received by mopd a
filename can be given. This is the normal case for e.g. terminal servers.
If a filename isn't given mopd must know what image to load.

Upon receiving a request, mopd checks if the requested file exists in
/tftpboot/mop, the filename is normaly uppercase and with an extension of
.SYS. If the filename isn't given, the ethernet address of the target is
used as filename, e.g.  08002b09f4de.SYS and it might be a soft link to
another file.

Mopd supports two kinds of files. The first type that is check is if the
file is in a.out(5) format. If not, a couple of Digital's formats are
checked.

%prep
%setup -q -n mopd-linux
%patch0 -p1

%build
(cd mopchk && make)
(cd mopd && make)
(cd mopprobe && make)
(cd moptrace && make)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/man/man1
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/man/man8
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/sbin
mkdir -p -m 755 $RPM_BUILD_ROOT/tftpboot/mop

install -m 755 $RPM_BUILD_DIR/mopd-linux/mopchk/mopchk $RPM_BUILD_ROOT/usr/bin/mopchk
install -m 755 $RPM_BUILD_DIR/mopd-linux/mopd/mopd $RPM_BUILD_ROOT/usr/sbin/mopd
install -m 755 $RPM_BUILD_DIR/mopd-linux/mopprobe/mopprobe $RPM_BUILD_ROOT/usr/bin/mopprobe
install -m 755 $RPM_BUILD_DIR/mopd-linux/moptrace/moptrace $RPM_BUILD_ROOT/usr/bin/moptrace

install -m 644 $RPM_BUILD_DIR/mopd-linux/mopchk/mopchk.1 $RPM_BUILD_ROOT/usr/man/man1/mopchk.1
install -m 644 $RPM_BUILD_DIR/mopd-linux/mopd/mopd.8 $RPM_BUILD_ROOT/usr/man/man8/mopd.8
install -m 644 $RPM_BUILD_DIR/mopd-linux/mopprobe/mopprobe.1 $RPM_BUILD_ROOT/usr/man/man1/mopprobe.1
install -m 644 $RPM_BUILD_DIR/mopd-linux/moptrace/moptrace.1 $RPM_BUILD_ROOT/usr/man/man1/moptrace.1

install -m 755 $RPM_SOURCE_DIR/mopd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/mopd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mopd

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del mopd
fi

%files
%doc %attr(644, root, root) READ_THIS_FIRST
%attr(-, root, root) /tftpboot/mop
%attr(-, root, root) /usr/bin/mopchk
%attr(-, root, root) /usr/sbin/mopd
%attr(-, root, root) /usr/bin/mopprobe
%attr(-, root, root) /usr/bin/moptrace
%attr(-, root, root) /usr/man/man1/mopchk.1
%attr(-, root, root) /usr/man/man8/mopd.8
%attr(-, root, root) /usr/man/man1/mopprobe.1
%attr(-, root, root) /usr/man/man1/moptrace.1
%config %attr(-, root, root) /etc/rc.d/init.d/mopd

%changelog
* Sat Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Jan 05 1999 Matthew Economou <xenophon@irtnog.org>
- added %attr flags to permit users without root access to build this package

* Sat Jan 02 1999 Matthew Economou <xenophon@irtnog.org>
- initial build
